﻿




/**/
/* Page Styling */
/**/

button {
    all: unset;
    cursor: pointer;
}

.trr-title__info h1 {
    font-size: 3.25rem;
    line-height: 2.9rem;
    margin-top: .3em;
    margin-bottom: .3em;
    font-weight: 400;
}

.trr-title__info p {
    max-width: 32ch;
}



/**/
/* Photo Gallery */
/**/

#photo-gallery {
    padding: var(--min-padding);
}

.photo-gallery__flow {
}



/* Gallery Filters */
.photo-gallery__filters {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
    margin-inline: auto;
    gap: 1em;
}

.photo-gallery__filters button {
    font-family: var(--ff-serif);
    position: relative;
    display: inline-block;
    padding: 0.5em;
    color: black;
    text-decoration: none;
    transition: color 150ms ease;
}

.photo-gallery__filters button:hover,
.photo-gallery__filters button:focus,
.photo-gallery__filters button.active,
.photo-gallery__filters button.selected {
    color: var(--clr-highlight);
    text-decoration: none;
}

.photo-gallery__filters button:after {
    content: '';
    position: absolute;
    bottom: 0;
    height: 2px;
    left: 0;
    right: 0;
    background: var(--clr-highlight);
    transform: scaleX(0.5);
    pointer-events: none;
    transition: transform 150ms ease, opacity 150ms ease;
    opacity: 0;
}

.photo-gallery__filters button:hover:after,
.photo-gallery__filters button:focus:after {
    transform: scaleX(1);
    opacity: 1;
}



/* Gallery grid */
.photo-gallery__photos {
    display: flex;
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
    margin-block: var(--min-padding);
    gap: .5em;
}

.photo-gallery__photos > * {
    flex: 0 1 calc(50% - 1em);
    min-width: 10em;
    height: 10em;
}

.photo-gallery__photo {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: var(--img-rounding);
    box-shadow: .1em .1em .25em rgba(0,0,0,0.33);
}

.photo-gallery__photo img {
    height: 100%;
    width: 100%;
    border-radius: var(--img-rounding);
    object-fit: cover;
    filter: brightness(100%) contrast(100%);
    transition: filter 150ms ease;
}

.photo-gallery__photo .desc {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 3em;
    background-image: linear-gradient(0deg, black, transparent);
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding-bottom: .5em;
    transition: opacity 150ms ease;
    text-align: center;
    text-shadow: 0 0 .5em black;
    opacity: 0.0;
    color: white;
}

.photo-gallery__photo:hover img,
.photo-gallery__photo:active img,
.photo-gallery__photo:focus img {
    filter: brightness(120%) contrast(80%);
}

.photo-gallery__photo:hover .desc,
.photo-gallery__photo:active .desc,
.photo-gallery__photo:focus .desc {
    opacity: 1.0;
}



/**/
/* View More Photos */
/**/

#pg-view-more-photos {
    background-image: url(../img/view-background.jpg);
    background-size: cover;
    background-position: center;
    padding: var(--min-padding);
    background-color: var(--clr-accent);
    background-blend-mode: overlay;
    color: white;
}

.pg-view-more-photos__flow {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.pg-view-more-photos__info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-bottom: 1em;
}



/**/
/* Weddings */
/**/

#pg-wedding-photos {
    padding: var(--min-padding);
}

.pg-wedding-photo__info {
    margin-bottom: 1em;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
}

#pg-wedding-photos .capsule-button {
    margin-top: 1em;
}

.pg-wedding-photos__gallery {
    display: flex;
    gap: .5em;
}

.pg-wedding-photos__gallery-photo {
    flex: 1 1 30%;
    height: 10em;
    box-shadow: .1em .1em .25em rgba(0,0,0,0.33);
    border-radius: 1em;
}

.pg-wedding-photos__gallery-photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 1em;
}

.pg-wedding-photos__gallery-photo:hover img,
.pg-wedding-photos__gallery-photo:active img,
.pg-wedding-photos__gallery-photo:focus img {
    filter: brightness(120%) contrast(80%);
}



@media only screen and (min-width: 750px) {

    .photo-gallery__flow {
        max-width: var(--desktop-max-width);
        margin: 0 auto;
    }

    .photo-gallery__filters {
        justify-content: center;
        gap: 3em;
    }

    .photo-gallery__photos {
        justify-content: center;
    }

    .photo-gallery__photos > * {
        flex: 0 1 calc(33% - .2em);
    }

    .photo-gallery__photo {
        aspect-ratio: 2/1;
        height: auto;
        max-height: 20em;
    }

    #pg-view-more-photos {
        background-image: unset;
        background-size: cover;
        background-position: center;
        padding: var(--min-padding);
        background-color: transparent;
        background-blend-mode: overlay;
        color: white;
    }

    .pg-view-more-photos__flow {
        background-image: url(../img/view-background.jpg);
        background-size: cover;
        background-position: center;
        background-color: var(--clr-accent);
        background-blend-mode: overlay;
        max-width: calc(var(--desktop-max-width) - 4em);
        margin: 0 auto;
        padding: 2em;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }

    .pg-view-more-photos__info {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        margin-bottom: 0;
    }

    .pg-wedding-photos__flow {
        max-width: var(--desktop-max-width);
        margin: 0 auto;
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        gap: 1em;
    }

    .pg-wedding-photo__info {
        flex: 1;
        margin-bottom: 0;
        display: flex;
        flex-direction: column;
    }

    #pg-wedding-photos .capsule-button {
        align-self: flex-start;
    }

    .pg-wedding-photos__gallery {
        flex: 1;
        display: flex;
        align-items: center;
        height: auto;
    }

    .pg-wedding-photos__gallery-photo {
        height: 15em;
    }
}